import { Node } from "./node";
import { Polygon } from "./polygon";
export declare class BSP {
    tree: Node;
    constructor(faces: Polygon[]);
    sub(other: BSP): void;
    union(other: BSP): void;
    intersect(other: BSP): void;
}
